Bug 727572 - System hangs few seconds
Summary: System hangs few seconds
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-02 13:46 UTC by Arif Tri Waluyo
Modified: 2012-02-28 20:09 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-28 20:09:14 UTC


Attachments (Terms of Use)

Description Arif Tri Waluyo 2011-08-02 13:46:52 UTC
Description of problem:
when I use the kernel-2.6.38.7-30.fc15.i686, I could use my usb modem with the command 'modprobe usbserial'. but after I update the kernel-2.6.40-4.fc15.i686. I no longer can use the modemku.

Version-Release number of selected component (if applicable):
Name        : kernel
Arch        : i686
Version     : 2.6.40
Release     : 4.fc15
Size        : 83 M
Repo        : installed
From repo   : updates
Summary     : The Linux kernel
URL         : http://www.kernel.org/
License     : GPLv2
Description : The kernel package contains the Linux kernel (vmlinuz), the core
            : of any Linux operating system.  The kernel handles the basic
            : functions of the operating system: memory allocation, process
            : allocation, device input and output, etc.

Steps to Reproduce:
1.run terminal
2.as root, run command 'modprobe usbserial vendor=0x19d2 product=0xffdd'
3.the modem was not detected.

Comment 1 Dave Jones 2011-08-02 17:35:03 UTC
it was changed to be built-in, so that it can be used to debug early boot.

You should be able to add to the boot command line

usbserial.vendor=0x19d2 usbserial.product=0xffdd and it will do the same thing.

The correct fix would be to have the ID added to usbserial itself.

Comment 2 Arif Tri Waluyo 2011-08-02 21:36:34 UTC
(In reply to comment #1)
> it was changed to be built-in, so that it can be used to debug early boot.
> 
> You should be able to add to the boot command line
> 
> usbserial.vendor=0x19d2 usbserial.product=0xffdd and it will do the same thing.
> 
> The correct fix would be to have the ID added to usbserial itself.

if still can I do if my usb modem will be read as a cdrom when first plugged in the computer?
Actually before the command 'modprobe usbserial', I run the command 'eject' first.

Comment 3 Arif Tri Waluyo 2011-08-30 03:13:04 UTC
(In reply to comment #1)
> it was changed to be built-in, so that it can be used to debug early boot.
> 
> You should be able to add to the boot command line
> 
> usbserial.vendor=0x19d2 usbserial.product=0xffdd and it will do the same thing.
> 
> The correct fix would be to have the ID added to usbserial itself.

With these steps I was able to use my modem, but there is another effect that is, the desktop hangs..

Comment 4 Robin Lee 2011-08-30 09:16:06 UTC
(In reply to comment #3)
> (In reply to comment #1)
> > it was changed to be built-in, so that it can be used to debug early boot.
> > 
> > You should be able to add to the boot command line
> > 
> > usbserial.vendor=0x19d2 usbserial.product=0xffdd and it will do the same thing.
> > 
> > The correct fix would be to have the ID added to usbserial itself.
> 
> With these steps I was able to use my modem, but there is another effect that
> is, the desktop hangs..

I met the same issue. When I plug-in my USB modem, the whole system hangs for some seconds.

Comment 5 Josh Boyer 2011-10-11 13:33:24 UTC
The built-in change was dropped in newer F15 kernels.  Are these issues still seen on 2.6.40.6?

Comment 6 Arif Tri Waluyo 2011-10-11 19:31:25 UTC
(In reply to comment #5)
> The built-in change was dropped in newer F15 kernels.  Are these issues still
> seen on 2.6.40.6?

The modem still not detected. But actually, I got used to the way suggested by Dave Jones.

Comment 7 Robin Lee 2011-10-12 01:37:35 UTC
I think modularization scheme of the kernel should be kept consistent in a released Fedora version.
And will usbserial be built in or modularized in Fedora 16?


Note You need to log in before you can comment on or make changes to this bug.